apiVersion: shipwright.io/v1beta1
kind: Build
metadata:
  creationTimestamp: '2024-08-27T12:27:20Z'
  generation: 1
  managedFields:
    - apiVersion: shipwright.io/v1beta1
      fieldsType: FieldsV1
      fieldsV1:
        'f:spec':
          .: {}
          'f:env': {}
          'f:output':
            .: {}
            'f:image': {}
          'f:paramValues': {}
          'f:source':
            .: {}
            'f:contextDir': {}
            'f:git':
              .: {}
              'f:url': {}
            'f:type': {}
          'f:strategy':
            .: {}
            'f:kind': {}
            'f:name': {}
          'f:volumes': {}
      manager: Mozilla
      operation: Update
      time: '2024-08-27T12:27:20Z'
    - apiVersion: shipwright.io/v1beta1
      fieldsType: FieldsV1
      fieldsV1:
        'f:status':
          .: {}
          'f:message': {}
          'f:reason': {}
          'f:registered': {}
      manager: openshift-builds-controller
      operation: Update
      subresource: status
      time: '2024-08-27T12:27:20Z'
  name: nodejs-app
  namespace: demo
  resourceVersion: '59693'
  uid: 61c1f804-959a-44a6-a0b8-ce6f8f4071a9
spec:
  env: []
  output:
    image: 'image-registry.openshift-image-registry.svc:5000/demo/nodejs-app'
  paramValues:
    - name: registries-block
      values: []
    - name: registries-insecure
      values: []
    - name: registries-search
      values:
        - value: registry.redhat.io
        - value: quay.io
    - name: storage-driver
      value: vfs
    - name: builder-image
      value: registry.redhat.io/rhel9/nodejs-18
  source:
    contextDir: ''
    git:
      url: 'https://github.com/sclorg/nodejs-ex'
    type: Git
  strategy:
    kind: ClusterBuildStrategy
    name: source-to-image
  volumes: []
status:
  message: all validations succeeded
  reason: Succeeded
  registered: 'True'
